<?php

namespace Bluesquare\Push;

use Illuminate\Support\ServiceProvider;

class PushServiceProvider extends ServiceProvider
{
    /**
     * Register any application services.
     *
     * @return void
     */
    public function register()
    {
        $this->mergeConfigFrom(
            __DIR__ . '/../config/push.php',
            'push'
        );

        $this->app->singleton(PushApi::class, function ($app) {
            return new PushApi($app['config']['push']['api_key'], $app['config']['push']['test_mode']);
        });
    }

    /**
     * Bootstrap any application services.
     *
     * @return void
     */
    public function boot()
    {
        $this->publishes([
            __DIR__ . '/../config/push.php' => config_path('push.php')
        ], 'config');
    }
}
